<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__wcm__scan__result__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_wcm_scan_result_t</compoundname>
    <includes local="no">cy_wcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__wcm__scan__result__t_1adcf0e592c5ea946e9ce821b6a13262d4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__typedefs_1ga1ebac1800928741a07555a14539f3748">cy_wcm_ssid_t</ref></type>
        <definition>cy_wcm_ssid_t cy_wcm_scan_result_t::SSID</definition>
        <argsstring />
        <name>SSID</name>
        <briefdescription>
<para>SSID (i.e., name of the AP). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="449" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="449" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1a8985626fa07655a2357595559f3277b6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__typedefs_1ga510db2323122294f3956024396ba2ff5">cy_wcm_mac_t</ref></type>
        <definition>cy_wcm_mac_t cy_wcm_scan_result_t::BSSID</definition>
        <argsstring />
        <name>BSSID</name>
        <briefdescription>
<para>Basic Service Set Identification (BSSID), i.e., MAC address of the AP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="450" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="450" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1ac2d508f92bd91a322db54d59f9c42ce5" kind="variable" mutable="no" prot="public" static="no">
        <type>int16_t</type>
        <definition>int16_t cy_wcm_scan_result_t::signal_strength</definition>
        <argsstring />
        <name>signal_strength</name>
        <briefdescription>
<para>RSSI in dBm. </para>        </briefdescription>
        <detaileddescription>
<para>(&lt;-90=Very poor, &gt;-30=Excellent). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="451" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="451" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1a09a4c2859527cfea62d076df9b40a96c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_scan_result_t::max_data_rate</definition>
        <argsstring />
        <name>max_data_rate</name>
        <briefdescription>
<para>Maximum data rate in kbps. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="452" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="452" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1a37c995f6433dee323cf4cebb397fb8cb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1ga5da487a7ada216490a5f6787d617f10d">cy_wcm_bss_type_t</ref></type>
        <definition>cy_wcm_bss_type_t cy_wcm_scan_result_t::bss_type</definition>
        <argsstring />
        <name>bss_type</name>
        <briefdescription>
<para>Network type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="453" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="453" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1a0bdbcaaaab6950223ad759eb1315daf2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1ga8b22f5a47073d5219440566d0e53e521">cy_wcm_security_t</ref></type>
        <definition>cy_wcm_security_t cy_wcm_scan_result_t::security</definition>
        <argsstring />
        <name>security</name>
        <briefdescription>
<para>Security type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="454" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="454" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1a2c07eb8659b1c9e79cd41b141ab7a52d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_wcm_scan_result_t::channel</definition>
        <argsstring />
        <name>channel</name>
        <briefdescription>
<para>Radio channel that the AP beacon was received on. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="455" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="455" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1a75409b94cf73b2f2c9ebae9627b2906c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1ga31f9cb5bc75abf02e5eb2623a64b3b7b">cy_wcm_wifi_band_t</ref></type>
        <definition>cy_wcm_wifi_band_t cy_wcm_scan_result_t::band</definition>
        <argsstring />
        <name>band</name>
        <briefdescription>
<para>Radio band. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="456" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="456" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1af87e8de624d34d2e9a40fe9405b2e424" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_wcm_scan_result_t::ccode[2]</definition>
        <argsstring>[2]</argsstring>
        <name>ccode</name>
        <briefdescription>
<para>Two-letter ISO country code in network byte order. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="457" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="457" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1a8b9a5f7d60757bc46d752d889151fb4b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_wcm_scan_result_t::flags</definition>
        <argsstring />
        <name>flags</name>
        <briefdescription>
<para>Indicates whether the scan results are from the same channel if flag is 1; otherwise from the beacon. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="458" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="458" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1a0847a4850054f7ded3f158fffde1e18d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_wcm_scan_result_t::ie_ptr</definition>
        <argsstring />
        <name>ie_ptr</name>
        <briefdescription>
<para>Pointer to the received Beacon/Probe Response IE (Information Element). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="459" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="459" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__result__t_1a181082a69f94eeb3bbf71a00ee2a7e01" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_wcm_scan_result_t::ie_len</definition>
        <argsstring />
        <name>ie_len</name>
        <briefdescription>
<para>Length of the IE. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="460" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="460" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure used for storing scan results. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="461" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="447" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="448" />
    <listofallmembers>
      <member prot="public" refid="structcy__wcm__scan__result__t_1a75409b94cf73b2f2c9ebae9627b2906c" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>band</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1a37c995f6433dee323cf4cebb397fb8cb" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>bss_type</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1a8985626fa07655a2357595559f3277b6" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>BSSID</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1af87e8de624d34d2e9a40fe9405b2e424" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>ccode</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1a2c07eb8659b1c9e79cd41b141ab7a52d" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>channel</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1a8b9a5f7d60757bc46d752d889151fb4b" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>flags</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1a181082a69f94eeb3bbf71a00ee2a7e01" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>ie_len</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1a0847a4850054f7ded3f158fffde1e18d" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>ie_ptr</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1a09a4c2859527cfea62d076df9b40a96c" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>max_data_rate</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1a0bdbcaaaab6950223ad759eb1315daf2" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>security</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1ac2d508f92bd91a322db54d59f9c42ce5" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>signal_strength</name></member>
      <member prot="public" refid="structcy__wcm__scan__result__t_1adcf0e592c5ea946e9ce821b6a13262d4" virt="non-virtual"><scope>cy_wcm_scan_result_t</scope><name>SSID</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>